%define aurox_ver 9.4
%define rel 2


%define version 0.99.1
%define	desktop_vendor	aurox
# used shared dir name, desktop file:
%define appname xine

#Available rpmbuild rebuild options :
#--with : curl
#--without : aalib lirc
#
#For Aurox Linux this package has been built with options:

%define _with_curl 1
%define _without_aalib 0
%define _without_lirc 1

# should we convert man pages to utf-8?
%define man2utf8 0

Summary: A free multimedia player.
Name: xine
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/xine/xine-ui-%{version}.tar.gz
#Source1: xine.desktop
Source2: xine.applications
Patch: xine-ui-0.9.22-makefile.patch
Patch1: xine-ui-0.9.22-mkinstalldirs-xitk.patch
Patch2: xine-ui-0.99.1-initial.patch
URL: http://xinehq.de/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libxine >= 1.0.0
Obsoletes: xine-ui
Provides: xine-ui = %{version}-%{release}
%{?_with_curl:Requires: curl >= 7.10.2}
BuildRequires: XFree86-devel, libpng-devel, libxine-devel >= 1.0.0
BuildRequires: libtermcap-devel, desktop-file-utils, pkgconfig
BuildRequires: automake >= 1.7
%{?_with_curl:Requires: curl-devel >= 7.10.2}
%{!?_without_aalib:BuildRequires: aalib-devel}
%{!?_without_lirc:BuildRequires: lirc}

%description
Xine is a free multimedia player. It plays back CDs, DVDs, and VCDs. It also
decodes multimedia files like AVI, MOV, WMV, and MP3 from local disk drives,
and displays multimedia streamed over the Internet. It interprets many of the
most common multimedia formats available - and some of the most uncommon
formats, too.
                                                                                
This package contains the GUI of the Xine multimedia player.

%prep
%setup -q -n xine-ui-%{version}
%patch -p1
%patch1 -p0
%patch2 -p1

# man pages are UTF-8?
%if %{man2utf8}
pushd doc/man
for MYLANG in `ls -d ??`; do
    cd $MYLANG
    ENCODING=latin1
    if $MYLANG in 'pl'; then
        ENCODING=latin2
    fi
    for PAGE in "xine xine-remote aaxine"; do
        mv $PAGE.1 $PAGE.1.old
        iconv -f $ENCODING -t utf8 $PAGE.1.old > $PAGE.1
    done
    cd ..
done
popd
%endif

%build
aclocal-1.7 -I /usr/share/aclocal -I m4
automake-1.7 --gnu
autoconf

%configure %{?_without_lirc:--disable-lirc}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang 'xi\(ne-ui\|tk\)'

# Remove unpackaged files
#find %{buildroot} -name "xitk*" -exec rm -rf {} \; || :
cp -f src/xitk/xine-toolkit/README src/xitk/xine-toolkit/README.xitk
rm -rf %{buildroot}%{_docdir}
rm -f %{buildroot}%{_datadir}/xine/desktop/xine.desktop

# Convert the menu entry
mkdir -p %{buildroot}%{_datadir}/applications
#desktop-file-install --vendor %{desktop_vendor} \
#    --dir %{buildroot}%{_datadir}/applications  \
#    --add-category X-Red-Hat-Base               \
#    --add-category Application                  \
#    --add-category AudioVideo                   \
#    %{SOURCE1}
#now in aurox-menus
(cd %{buildroot}%{_datadir}/applications && ln -sf \
  %{_datadir}/desktop-menu-patches/aurox-video-player.desktop)

# register for mime types
# xine.applications goes to /usr/share/application-registry
install -d %{buildroot}/usr/share/application-registry/
install --mode 0644 %{SOURCE2} %{buildroot}/usr/share/application-registry/

%clean
rm -rf %{buildroot}

%files -f 'xi\(ne-ui\|tk\)'.lang
%defattr(-, root, root)
#%doc xine-ui-doc/*
%doc doc/README*
%doc COPYING ChangeLog
%doc src/xitk/xine-toolkit/README.xitk
#%{_bindir}/*
#%{!?_without_aalib:%{_bindir}/aaxine}
%{_bindir}/aaxine
%{_bindir}/fbxine
%{_bindir}/xine
%{_bindir}/xine-bugreport
%{_bindir}/xine-check
%{_bindir}/xine-remote
%{_datadir}/pixmaps/%{appname}*
#%{_datadir}/%{appname}
%dir %{_datadir}/%{appname}
%{_datadir}/%{appname}/visuals
%{_datadir}/%{appname}/skins
%{_datadir}/applications/%{desktop_vendor}-video-player.desktop
%{_datadir}/application-registry/%{appname}.*
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/es/man1/*
%{_mandir}/fr/man1/*
%{_mandir}/pl/man1/*

%changelog
* Fri Apr 30 2004 Aurox Team <aurox@aurox.org> 0:0.99.1-9.4.aur.2
- rebuild with libxine rc4
- new release

* Tue Apr 22 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.20-3aur
- Rebuild with libxine-1.0.0-beta10
- convert translations in src/xitk/xine-toolkit/po to pl/UTF-8, too

* Mon Mar 31 2003 Robert Glowczynski <robertg@software.com.pl>
- Update to 0.9.20

* Sat Mar 29 2003 Robert Glowczynski <robertg@software.com.pl>
- put xine.applications in GNOME's /usr/share/application-registry
- use 'desktop patches': move menu to redhat-menus

* Wed Mar 26 2003 Robert Glowczynski <robertg@software.com.pl>
- add DISTRO, OPTIONS in package descriptions
- rename 'xine-ui' 
- use 'pl' for Polish locale; utf8ize pl.po
- rebuild for Aurox 9

* Mon Mar 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.19.

* Mon Feb  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild to hopefully fix an unexplained problem.
- Fixed the aalib-devel build dependency.

* Fri Jan 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to ui 0.9.18.
- Removed binary lirc dependency as it's statically linked.
- Modified man pages list to tag languages (no more aaxine exception though).

* Sun Jan 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to ui 0.9.17.
- This main xine package now only contains the ui source, thus needs the
  now separate xine-lib.

* Sun Oct  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed --without arts from %%description as it can't work if arts-devel
  is installed.
- Added vidix files.
- Delete unpackaged xitk related files.

* Mon Sep 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed ALSA support.
- Spec file cleanup.
- New --without aalib, lirc and arts options.

* Thu Sep 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Tue Aug 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added new .desktop file support.
- Added alsa support.

* Sun Aug  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed plugins (new API version again).
- Rebuilt without the NVIDIA_GLX package :-/

* Sun Aug  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.13.
- Updated both d4d and d5d plugins.
- Now use %%find_lang.

* Tue Jun 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.12.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split into xine (UI) and xine-libs to be able to install just the engine
  for other frontends.

* Mon May 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.10 final.
- Added a quick perl regexp hack for the d4d & d5d API versions.

* Thu May  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Almost complete spec file rewrite to reflect improvements in the build
  process (simplifications were now possible).
- Updated the d5d plugin to 0.2.4.
- Moved everything from %%install to %%build as it seems more logical.
- Added %%{?_smp_mflags} and LIBRARY_PATH for the lib, thanks Ralf!
- Added the d4d plugin as well.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.9.

* Wed Jan 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.8 with new all-in-one d5d css and menu support plugin.
- Cleaned up the docs.

* Tue Dec 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.7.

* Thu Nov 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.6.

* Sat Nov 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.5, added the new LC_MESSAGEs.

* Tue Nov  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.4 (0.9.3 had build problems).
- Update d4d plugin to 0.2.7.
- Put the menu navigation plugin back in and update it to 0.9.3beta
  (yeah, Fred, I'm doing that for you ;-)).

* Thu Nov  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the missing xineshot to %files.
- Removed the menu navigation plugin : It's so buggy and not moving very
  fast. If you want menu support, try Ogle, it's worth it!
- Added new man pages translations.
- Cleaned-up the %doc section, lots were added recently.
- Modified the way the target cpu is forced, it should now be possible to
  rebuild for anything else than i686.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the libdvdcss since it was making xine mutually exclusive with
  videolan... and moved it to a separate package instead.
- Removed the ugly hacks from libtool problems, I guess this spec won't
  be suited for 7.1 anymore.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Addedd libdvdcss library so that encrypted menus can now be played too.
- Updated lots of dependencies (ogg vorbis, arts, zlib, esd, libpng).

* Tue Oct 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.2 with updated CSS plugin and libvdvread.

* Mon Oct  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 with lirc support.

* Wed Sep 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the dvdnav plugin to the latest version.

* Tue Sep 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.1.
- Update libdvdread to 0.9.1 too :-)

* Fri Sep 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0.
- Spec file cleanup, the configure scripts and the way they use macros
  are still too crappy to clean up more :-(
- Included the new menu plugin and libdvdcss...slurp!

* Thu Sep 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3 and kept d4d plugin 0.2.2 (0.2.4 doesn't compile for me).

* Mon Sep  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.
- Removed the "aaxine" binary.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Nothing weird with the package in one whole week, I'll release it :-)

* Mon Aug  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.0.
- Merged the new "lib" and "ui" sources in the same SRPM and split the
  binaries in a main and a "devel" package.

* Thu May 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.3.

* Thu May 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the spec file to now use XINE_BUILD to override the default
  build arch and use the compilation optimisations chosen by the xine
  authors in the configure script.
- Doesn't work with --arch=athlon though... I wonder why!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.01.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the DeCSS plugin to the latest 0.1.2 release.
- Added a menu entry since xine is now stable enough to not need to be
  launched in a terminal anymore.

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.7 with the subtitles patch to the plugin

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.6 with the same plugin

* Sat Jan 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Included the DeCSS dvd plugin for 0.3.5

* Wed Jan 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.5

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.4
- tweak to configure.in to compile with gcc 2.96

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.3

* Sun Dec 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.2 "complete" :-)
- fixed my files section to include the new skin

* Mon Nov 20 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up the spec file for RedHat 7.0
- added stripping, changed prefix, added docs, added defattr

* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.

